Auth
Body
Request for user authentication
usernamestringRequiredExample:
Username of the user
john_doepasswordstringRequiredExample:
Password of the user
password123namestringRequiredExample:
Name of the user
Joe DonResponses
200
OK
*/*
Response containing authentication token
tokenstringRequiredExample:
JWT token for authentication
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
post
/api/auth/registerBody
Request for user authentication
usernamestringRequiredExample:
Username of the user
john_doepasswordstringRequiredExample:
Password of the user
password123Responses
200
OK
*/*
Response containing authentication token
tokenstringRequiredExample:
JWT token for authentication
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
post
/api/auth/loginLast updated